Skip to main content

Pose Classification Job

GET 

/api/v1/assets/:asset_id/addons/pose_classification/jobs/:job_id

Retrieve result after pose classification using job_id.

Response JSON

{
"status": "OK",
"output": {
"data": [
{ "pose": "STANDING", "confidence": 0.94 },
{ "pose": "BENDING", "confidence": 0.81 },
{ "pose": "CROUCHING", "confidence": 0.97 }
]
}
}
KeyValueDescription
statusstringCan be QUEUED, IN_PROGRESS, OK, ERROR
outputJSONAn JSON Object containing the result

Pose Labels

Supported pose labels: STANDING, BENDING, CROUCHING.

Confidence Level

The confidence level ranges from 0 to 1, with 1 indicating the highest confidence.

Multiple Poses

If there is more than one pose in the list, it indicates multiple people in the image. The poses are ordered from left to right, corresponding to the positions of the people detected in the image.

Request

Responses

Successful operation